Bug 116661 - New port: devel/jline Java library for handling console input
Summary: New port: devel/jline Java library for handling console input
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-26 14:40 UTC by Martin Kammerhofer
Modified: 2007-10-02 19:30 UTC (History)
0 users

See Also:


Attachments
file.shar (20.84 KB, text/plain)
2007-09-26 14:40 UTC, Martin Kammerhofer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Kammerhofer 2007-09-26 14:40:01 UTC
JLine is a Java library for handling console input. It is similar in
functionality to BSD editline and GNU readline. People familiar with
the readline/editline capabilities for modern shells (such as bash and
tcsh) will find most of the command editing features of JLine to be
familiar.

JLine is distributed under the BSD license, meaning that you are
completely free to redistribute, modify, or sell it with almost no
restrictions.

API documentation can be found in the apidocs directory.

You can use the jline.ConsoleRunner application to set up the system
input stream and continue on the launch another program. For example,
to use JLine as the input handler for the popular BeanShell console
application, you can run: java jline.ConsoleRunner bsh.Interpreter

WWW: http://jline.sourceforge.net/
Comment 1 mkamm 2007-09-28 11:21:34 UTC
From maintainer:

Discovered a bug after submission. Since the PR is still in open state
it's easier to point to a corrected shar file than to submit a maintainer-update. Please take updated file from
http://mitglied.lycos.de/mkamm/distfiles/jline.SHAR
instead of the one attached to PR!

Thanks,
 Martin
-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört?
Der kanns mit allen: http://www.gmx.net/de/go/multimessenger
Comment 2 Alejandro Pulver freebsd_committer 2007-10-01 18:37:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 3 dfilter service freebsd_committer 2007-10-02 19:20:50 UTC
alepulver    2007-10-02 18:20:44 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/jline          Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    devel/jline/files    JLineCompleter.py jython.sh 
                         patch-src-src-main-java-jline-ConsoleRunner.java 
  Log:
  JLine is a Java library for handling console input. It is similar in
  functionality to BSD editline and GNU readline. People familiar with
  the readline/editline capabilities for modern shells (such as bash and
  tcsh) will find most of the command editing features of JLine to be
  familiar.
  
  JLine is distributed under the BSD license, meaning that you are
  completely free to redistribute, modify, or sell it with almost no
  restrictions.
  
  API documentation can be found in the apidocs directory.
  
  You can use the jline.ConsoleRunner application to set up the system
  input stream and continue on the launch another program. For example,
  to use JLine as the input handler for the popular BeanShell console
  application, you can run: java jline.ConsoleRunner bsh.Interpreter
  
  WWW: http://jline.sourceforge.net/
  
  PR:             ports/116661
  Submitted by:   Martin Kammerhofer <mkamm at gmx.net>
  
  Revision  Changes    Path
  1.2898    +1 -0      ports/devel/Makefile
  1.1       +66 -0     ports/devel/jline/Makefile (new)
  1.1       +3 -0      ports/devel/jline/distinfo (new)
  1.1       +211 -0    ports/devel/jline/files/JLineCompleter.py (new)
  1.1       +48 -0     ports/devel/jline/files/jython.sh (new)
  1.1       +22 -0     ports/devel/jline/files/patch-src-src-main-java-jline-ConsoleRunner.java (new)
  1.1       +18 -0     ports/devel/jline/pkg-descr (new)
  1.1       +5 -0      ports/devel/jline/pkg-message (new)
  1.1       +119 -0    ports/devel/jline/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alejandro Pulver freebsd_committer 2007-10-02 19:22:07 UTC
State Changed
From-To: open->closed

New port added. Thanks!